package com.xingxi.master.vendor.service;

import com.xingxi.master.vendor.domain.Vendor;

import java.util.List;

/**
 * 供应商Service接口
 *
 * @author xingxi
 * @date 2025-03-06
 */
public interface IVendorService {
    /**
     * 查询供应商
     *
     * @param vendorId 供应商主键
     * @return 供应商
     */
    Vendor selectVendorByVendorId(Long vendorId);

    /**
     * 查询供应商列表
     *
     * @param vendor 供应商
     * @return 供应商集合
     */
    List<Vendor> selectVendorList(Vendor vendor);

    /**
     * 新增供应商
     *
     * @param vendor 供应商
     * @return 结果
     */
    int insertVendor(Vendor vendor);

    /**
     * 新增供应商
     *
     * @param vendorList 供应商
     * @return 结果
     */
    int batchInsertVendor(List<Vendor> vendorList);

    /**
     * 修改供应商
     *
     * @param vendor 供应商
     * @return 结果
     */
    int updateVendor(Vendor vendor);

    /**
     * 批量删除供应商
     *
     * @param vendorIds 需要删除的供应商主键集合
     * @return 结果
     */
    int deleteVendorByVendorIds(String vendorIds);

    /**
     * 删除供应商信息
     *
     * @param vendorId 供应商主键
     * @return 结果
     */
    int deleteVendorByVendorId(Long vendorId);

    /**
     * 逻辑删除供应商
     *
     * @param vendorId 供应商主键
     * @return 结果
     */
    int logicDeleteVendorByVendorId(Long vendorId);

    /**
     * 逻辑批量删除供应商
     *
     * @param vendorIds 需要删除的数据主键集合
     * @return 结果
     */
    int logicDeleteVendorByVendorIds(String[] vendorIds);

    /**
     * 逻辑批量删除供应商
     *
     * @param vendor 供应商
     * @return 结果
     */
    int logicDeleteVendorByCondition(Vendor vendor);
}
